# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libgcrypt-devel pkgconfig(glib-2.0) pkgconfig(gthread-2.0) pkgconfig(libsoup-gnome-2.4)
# END SourceDeps(oneline)
Summary(de): Flickr-Verwaltung für GNOME
Summary(de): Flickr-Verwaltung für GNOME
Name:           frogr
Version:        0.8
Summary:        Flickr Remote Organizer for GNOME
Summary(de):    Flickr-Verwaltung für GNOME
Release:        alt1_3

Group:          Networking/WWW
License:        GPLv3
URL:            http://live.gnome.org/Frogr
Source0:        http://download.gnome.org/sources/%{name}/0.8/%{name}-%{version}.tar.xz
Patch0:         0001-Don-t-set-DG_DISABLE_DEPRECATED.patch

BuildRequires:  gettext
BuildRequires:  libgtk+3-devel
BuildRequires:  intltool
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  libexif-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils
BuildRequires:  gstreamer-devel
BuildRequires:  libjson-glib-devel
#Explicitly Requires: gvfs since we need gtk_show_uri to be able to open a
#web browser when associating frogr with a flickr account (this is how
#application/flickr pairing works, through flickr.com)
Requires:       gvfs
Source44: import.info

%description
Frogr is a small application for the GNOME desktop that allows users
to manage their accounts in the Flickr image hosting website. It
supports all the basic tasks, including uploading pictures, adding
descriptions, setting tags and managing sets.

%description -l de
Frogr ist eine Anwendung für die GNOME-Arbeitsumgebung zur Verwaltung der
Konten des Flickr-Bilderdienstes. Unterstützt werden sämtliche grundlegende
Aufgaben, wie das Hochladen von Bildern, Hinzufügen von Beschreibungen,
Setzen von Markierungen und Verwalten von Alben.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/frogr.1.*
%doc README NEWS COPYING AUTHORS THANKS MAINTAINERS TRANSLATORS


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_3
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_1
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_2
- initial fc import

